<?

    include("authentication.php");

	include("conexao_e_agenda.php");

	include("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

    $nome_usuario = $_SESSION["nome_usuario"];



if (isset($_GET['id_arquivo'])) {

$id_arquivo=$_GET['id_arquivo'];

} else {

$id_arquivo="";

}

if (isset($_GET['id_c'])) {

$id_c=$_GET['id_c'];

} else {

$id_c="";

}



$quem = $_GET['quem'];

//----------------------



 	$sql_exc="select * from banner_outdoors_fotos where id='$id_arquivo'";

	$result_exc=mysqli_query($conexao,$sql_exc);

	$linha=mysqli_fetch_array($result_exc);

	$arquivo = $linha['caminho_foto'];

	$categoria = $linha['categoria'];

	$fk_categoria = $linha['fk_categoria'];

   if($linha['caminho_foto']!=""){

   

    if ($_SERVER["SERVER_ADDR"] == '127.0.0.1'){

	unlink('../banner_outdoors/images'."/".$arquivo);

	unlink('../fotos'."/mini/".$arquivo);

    }else{

    unlink('/home/msoftx/public_html/adrianosoutoimoveis.com.br/banner_outdoors/images/'.$arquivo);

    unlink('/home/msoftx/public_html/adrianosoutoimoveis.com.br/fotos/mini/'.$arquivo);

    }

	

   } else {

	echo "";

	}

	

 $foto = $linha['caminho_foto'];

 $result = mysqli_query($conexao,"DELETE FROM banner_outdoors_fotos WHERE id = '$id_arquivo'") or die(mysqli_error($conexao));

 

               savelog($login, "Excluiu a foto: $quem.");

	

 $result_ct = mysqli_query($conexao,"select count(id) as total FROM fotos WHERE fk_categoria = '$fk_categoria' and categoria = '$categoria'") or die(mysqli_error($conexao));

 $linha_ct=mysqli_fetch_array($result_ct);

 if($linha_ct['total']==0){

    if($categoria=="noticia"){

    $tabela = $categoria."s";

	$sql ="Update $tabela set 

	foto='n' where id='$id_c'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

	}

 }

 $alerta = "Foto excluída com Sucesso!";

 $origem=$_GET['origem'];

?>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<script language="JavaScript">

<!--



function Redireciona(){     // Redireciona p/ o arquivo especificado 

  alert("<? echo $alerta ?>");

  open('gera_banner_outdoors_xml.php?id_tcomp=<? echo $id_c; ?>', '_top');

}



// -->

</script>



</head>



<body onLoad="JavaScript:Redireciona()">





</body>

</html>